ng-container(*ngIf="sites && sites.length > 0; else noSites")
  form(*ngFor="let site of sites", [formGroup]="selectionForm")
    div.site
      div.header
        div
          h3 {{ site.name }}
          p.light
            span ID:&nbsp;
            | {{ site.id }}
          p
            span Type:&nbsp;
            | {{ site.type }}
        div.switch
          nz-switch(type="checkbox", [formControlName]="site.id")
      div#node-pools(*ngFor="let nodePool of site.nodePools")
        nz-card
          div.header
            div
              h4 {{nodePool.name}}
              p.light
                span ID:&nbsp;
                | {{nodePool.id}}
            div.switch
              nz-switch(type="checkbox", [formControlName]="nodePool.id")
          nz-list
            nz-list-item
              span CPU
              | {{ nodePool.cpu }}
            nz-list-item
              span Memory
              | {{ nodePool.memoryInMB }}&nbsp;MB
            nz-list-item
              span GPU
              | {{nodePool.gpu}}
            nz-list-item
              span Arch
              | {{nodePool.arch}}
            nz-list-item
              span Max time
              | {{ getDurationFormatted(nodePool.timeInSec) }}
ng-template(#noSites)
  p No sites available with this filters

